## node-asn1 0.2.6+~0.2.0

=== Makefile ===
#
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.
#

#
# Copyright 2019, Joyent, Inc.
#

#
# node-asn1 Makefile
#

#
# Tools
#

ISTANBUL	:= node_modules/.bin/istanbul
FAUCET		:= node_modules/.bin/faucet
NODE		:= node
NPM		:= npm

#
# Files
#

JS_FILES	:= $(shell find lib test -name '*.js')
JSSTYLE_FILES	= $(JS_FILES)
JSSTYLE_FLAGS	= -f tools/jsstyle.conf
ESLINT		= ./node_modules/.bin/eslint
ESLINT_FILES	= $(JS_FILES)

include ./tools/mk/Makefile.defs
include ./tools/mk/Makefile.smf.defs

#
# Repo-specific targets
#

.PHONY: all
all: $(TAPE)
	$(NPM) rebuild

$(ISTANBUL): | $(NPM_EXEC)
	$(NPM) install

$(FAUCET): | $(NPM_EXEC)
	$(NPM) install

CLEAN_FILES += ./node_modules/

.PHONY: test
test: $(ISTANBUL) $(FAUCET)
	$(ISTANBUL) cover --print none test/run.js | $(FAUCET)

include ./tools/mk/Makefile.deps
include ./tools/mk/Makefile.smf.targ
include ./tools/mk/Makefile.targ

## node-asn1 0.2.3

=== debian/changelog ===
node-asn1 (0.2.3-1) unstable; urgency=low

  * Initial release (Closes: #850135)

 -- Pirate Praveen <praveen@debian.org>  Thu, 11 May 2017 08:11:35 +0530

=== debian/control ===
Source: node-asn1
Section: web
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Pirate Praveen <praveen@debian.org>
Build-Depends:
 debhelper (>= 9)
 , dh-buildinfo
 , nodejs
 , node-tap
Standards-Version: 3.9.8
Homepage: https://github.com/mcavage/node-asn1
Vcs-Git: https://anonscm.debian.org/git/pkg-javascript/node-asn1.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-javascript/node-asn1.git

Package: node-asn1
Architecture: all
Depends:
 ${misc:Depends}
 , nodejs
Description:  ASN.1 encoder and decoder (BER)
 Asn1.js is a pure javascript ASN.1 encoder and decoder. Currently BER encoding
 is supported.
 .
 Abstract Syntax Notation One (ASN.1) is an interface description
 language for defining data structures that can be serialized and
 deserialized in a standard, cross-platform way.
 .
 Node.js is an event-based server-side JavaScript engine.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

#override_dh_auto_build:

override_dh_auto_test:
	tap ./tst

=== debian/tests/control ===
Tests: require
Depends: node-asn1

Test-Command: tap ./tst
Depends: @, node-tap
Restrictions: allow-stderr

=== debian/watch ===
version=3
# It is not recommended use fakeupstream. Please investigate more.
# Origin url: https://github.com/mcavage/node-asn1
# Take a look at https://wiki.debian.org/debian/watch/
# See also fakeupstream: http://anonscm.debian.org/viewvc/qa/trunk/cgi-bin/fakeupstream.cgi?view=markup
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
filenamemangle=s/.*=// \
 http://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=npmjs/asn1 .*=asn1-(\d.*)\.(?:tgz|tar\.(?:gz|bz2|xz))

## node-asn1 0.2.6+~0.2.0

=== debian/changelog ===
node-asn1 (0.2.6+~0.2.0-1) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + node-asn1: Add Multi-Arch: foreign.

  [ Yadd ]
  * Bump debhelper compatibility level to 13
  * Modernize debian/watch
    * Fix GitHub tags regex
    * Fix filenamemangle
  * Use dh-sequence-nodejs
  * Update standards version to 4.6.0, no changes needed.
  * Embed typescript declarations
  * New upstream version 0.2.6+~0.2.0
  * Add dependency to node-safer-buffer

 -- Yadd <yadd@debian.org>  Thu, 09 Dec 2021 10:07:48 +0100

node-asn1 (0.2.3-2) unstable; urgency=medium

  * Team upload

  [ Pirate Praveen ]
  * Switch to github tarballs

  [ Debian Janitor ]
  * Use secure copyright file specification URI.
  * Strip unusual field spacing from debian/control.
  * Set upstream metadata fields: Bug-Submit.
  * Update Vcs-* headers from URL redirect.
  * Use canonical URL in Vcs-Git.

  [ Xavier Guimard ]
  * Add "Rules-Requires-Root: no"
  * Change section to javascript
  * Add debian/gbp.conf
  * Add upstream/metadata
  * Use pkg-js-tools auto test & install
  * Declare compliance with policy 4.5.0
  * Bump debhelper compatibility level to 12

 -- Xavier Guimard <yadd@debian.org>  Wed, 19 Feb 2020 15:42:42 +0100

=== debian/control ===
Source: node-asn1
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Pirate Praveen <praveen@debian.org>
Build-Depends: debhelper-compat (= 13)
 , dh-sequence-nodejs
 , node-safe-buffer <!nocheck>
 , node-tap <!nocheck>
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/js-team/node-asn1
Vcs-Git: https://salsa.debian.org/js-team/node-asn1.git
Homepage: https://github.com/mcavage/node-asn1
Testsuite: autopkgtest-pkg-nodejs
Rules-Requires-Root: no

Package: node-asn1
Architecture: all
Depends: ${misc:Depends}
 , node-safe-buffer
Provides: ${nodejs:Provides}
Multi-Arch: foreign
Description: ASN.1 encoder and decoder (BER)
 Asn1.js is a pure javascript ASN.1 encoder and decoder. Currently BER encoding
 is supported.
 .
 Abstract Syntax Notation One (ASN.1) is an interface description
 language for defining data structures that can be serialized and
 deserialized in a standard, cross-platform way.
 .
 Node.js is an event-based server-side JavaScript engine.

=== debian/watch ===
version=4
opts=\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-asn1-$1/ \
 https://github.com/mcavage/node-asn1/tags .*/archive/.*/v?([\d\.]+).tar.gz group

# It is not recommended use npmregistry. Please investigate more.
# Take a look at https://wiki.debian.org/debian/watch/
opts="searchmode=plain,component=types-asn1,ctype=nodejs,pgpmode=none,filenamemangle=s/^.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-types-asn1-$1/" \
 https://registry.npmjs.org/@types/asn1 https://registry.npmjs.org/@types/asn1/-/asn1-([\d\.]+)@ARCHIVE_EXT@ group
